IntegrationsFacturación

Query the DIAN by CUFE, CUDE or CUDS: authorization status, document summary, related notes and events, optionally archiving the XML into the Space.

POST
/integrations/connections/{connection_id}/providers/facturacion/dian/query

Query the DIAN by CUFE, CUDE or CUDS: authorization status, document summary, related notes and events, optionally archiving the XML into the Space.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/facturacion/dian/query" \  -H "Content-Type: application/json" \  -d '{    "track_id": "0000000000000000000000000000000000000000"  }'
{  "track_id": "example",  "dian_status": "example",  "document_date": "example",  "document_number": "example",  "status_description": "example",  "status_message": "example",  "currency_code": "example",  "subtotal": 0,  "tax_total": 0,  "total": 0,  "notifications": [],  "notes": [],  "events": [],  "xml_available": false,  "xml_document_id": "example"}